Subject: [bug#34222] [PATCH 08/15] gnu: Add ruby-rest-client.

From: Christopher Baines <[email-masked]>
Date: Sun, 27 Jan 2019 18:51:36 +0000

Ricardo Wurmus <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Required for ruby-ast.
>>
>> * gnu/packages/ruby.scm (ruby-rest-client): New variable.
>
> […]
>
>> +       (modify-phases %standard-phases
>> +         (add-before 'check 'fix-dependencies
>> +           (lambda _
>> +             (substitute* "rest-client.gemspec"
>> +               ((".*rubocop.*") "\n")
>> +               ((".*pry.*") "\n"))
>> +             #t))
>
> Could you please add a comment here why this is necessary?

I've updated the patch to say:

+         (add-before 'check 'remove-unnecessary-development-dependencies
+           (lambda _
+             (substitute* "rest-client.gemspec"
+               ;; Remove rubocop as it's unused. Rubocop also indirectly
+               ;; depends on this package through ruby-parser and ruby-ast so
+               ;; this avoids a dependency loop.
+               ((".*rubocop.*") "\n")
+               ;; Remove pry as it's unused, it's a debugging tool
+               ((".*pry.*") "\n"))

Hopefully that is a bit clearer.

>> +    (description
>> +     "@code{rest-client} provides a simple HTTP and REST client for Ruby,
>> +inspired by the Sinatra microframework style of specifying actions: get, put,
>> +post, delete.")
>
> I would wrap “get”, “put”, “post”, and “delete” in @code{…}.

Ok, I've updated the patch to do this now.